低危 gdk-pixbuf up to 2.35.2 ICO File io-ico.c OneLine32 拒绝服务漏洞

CVE编号

CVE-2016-6352

利用情况

暂无

补丁情况

官方补丁

披露时间

2016-10-04
漏洞描述
gdk-pixbuf是一个用于图像加载和像素缓冲处理的工具包。

gdk-pixbuf 2.30.7版本中的ico文件存在安全漏洞。攻击者可利用该漏洞造成拒绝服务。
解决建议
目前没有详细的解决方案提供:
https://developer.gnome.org/gdk-pixbuf/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnome gdk-pixbuf * Up to
(including)
2.35.2
运行在以下环境
系统 canonical ubuntu_linux 12.04 -
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
2.35.4-1
运行在以下环境
系统 debian_8 gdk-pixbuf * Up to
(excluding)
2.31.1-2+deb8u8
运行在以下环境
系统 opensuse leap 42.1 -
运行在以下环境
系统 opensuse opensuse 13.2 -
运行在以下环境
系统 opensuse_Leap_42.1 gdk-pixbuf * Up to
(excluding)
0-2.32.3-8.1
运行在以下环境
系统 sles_11_SP4 gdk-pixbuf * Up to
(excluding)
2.18.9-0.44.1
运行在以下环境
系统 sles_12 gdk-pixbuf-lang * Up to
(excluding)
2.34.0-16
运行在以下环境
系统 suse_11_SP4 gdk-pixbuf * Up to
(excluding)
2.18.9-0.44.1
运行在以下环境
系统 suse_12 gdk-pixbuf-lang * Up to
(excluding)
2.34.0-16
运行在以下环境
系统 ubuntu_14.04.6_lts gdk-pixbuf * Up to
(excluding)
2.30.7-0ubuntu1.6
运行在以下环境
系统 ubuntu_14.04_lts gdk-pixbuf * Up to
(excluding)
2.30.7-0ubuntu1.6
运行在以下环境
系统 ubuntu_16.04 gdk-pixbuf * Up to
(excluding)
2.32.2-1ubuntu1.2
运行在以下环境
系统 ubuntu_16.04.7_lts gdk-pixbuf * Up to
(excluding)
2.32.2-1ubuntu1.2
运行在以下环境
系统 ubuntu_16.04_lts gdk-pixbuf * Up to
(excluding)
2.32.2-1ubuntu1.2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况